#ifndef _ai_types_h
#define _ai_types_h

typedef struct _ai_type
{
  string name;
  int32_t weight[MAX_UNITS];
  int32_t limit[MAX_UNITS];
  
  _ai_type() :
	  name ("")
  {
	  for (int i = 0; i < MAX_UNITS; i++)
	  {
		  weight[i] = 0;
		  limit[i] = 0;
	  }
  }
} _ai_type;

extern _ai_type theai;

void init_default_ai();
void load_default_ai();
void load_ai(string mapname);
void load_ai_from_file(string path);
void save_new_aiprofile(string name);

#endif
